//Ex3_23.cpp
#include "iostream" 
#include "cstdio" 
using namespace std;
void main() 
{char ch; 
 while((ch=getchar())!='\n')
 {if((ch>='a' && ch<='z')||(ch>'A' && ch<='Z')) 
 {ch=ch+4;
  if(ch>'Z' && ch<='Z'+4 || ch>'z')    //因为小写时都满足ch>'Z'
     ch=ch-26; 
 } 
 cout<<ch; 
 }
 cout<<endl;
}
